org.apache.solr.client.solrj.request

## Class ConfigSetAdminRequest.List

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<R>
  - - org.apache.solr.client.solrj.request.ConfigSetAdminRequest<ConfigSetAdminRequest.List,ConfigSetAdminResponse.List>
    - - org.apache.solr.client.solrj.request.ConfigSetAdminRequest.List

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    ConfigSetAdminRequest<Q extends ConfigSetAdminRequest<Q,R>,R extends ConfigSetAdminResponse>

      public static class ConfigSetAdminRequest.List
      extends ConfigSetAdminRequest<ConfigSetAdminRequest.List,ConfigSetAdminResponse.List>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.ConfigSetAdminRequest

      `ConfigSetAdminRequest.ConfigSetSpecificAdminRequest<T extends ConfigSetAdminRequest<T,ConfigSetAdminResponse>>, ConfigSetAdminRequest.Create, ConfigSetAdminRequest.Delete, ConfigSetAdminRequest.List`

    - ### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

      `SolrRequest.METHOD`

  - ### Field Summary

    - ### Fields inherited from class org.apache.solr.client.solrj.request.ConfigSetAdminRequest

      `action`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `List()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ConfigSetAdminResponse.List` | `createResponse(SolrClient client)` Create a new SolrResponse to hold the response from the server
    `protected ConfigSetAdminRequest.List` | `getThis()`

    - ### Methods inherited from class org.apache.solr.client.solrj.request.ConfigSetAdminRequest

      `getContentStreams, getParams, setAction`

    - ### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

      `getBasicAuthPassword, getBasicAuthUser, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### List

          public List()

  - ### Method Detail

    - #### getThis

          protected ConfigSetAdminRequest.List getThis()

      Specified by:
        `getThis` in class `ConfigSetAdminRequest<ConfigSetAdminRequest.List,ConfigSetAdminResponse.List>`

    - #### createResponse

          protected ConfigSetAdminResponse.List createResponse(SolrClient client)

      Description copied from class: `SolrRequest`
      Create a new SolrResponse to hold the response from the server
      Specified by:
        `createResponse` in class `ConfigSetAdminRequest<ConfigSetAdminRequest.List,ConfigSetAdminResponse.List>`
      Parameters:
        `client` - the `SolrClient` the request will be sent to

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.